Free planetarium

 
Rareden
Observer
Observer
Topic Author
Posts: 2
Joined: 28 Dec 2016

Oculus HMD not found

28 Dec 2016 01:42

Greetings,
i have a oculus rift cv1 but im unable to use it in SE, i go in to the display menu and select oculus rift but it just pops up with "oculus rift hmd not found, or runtime not 0.8" im using the latest runtime and have the rift working fine with other games.
 
User avatar
SpaceEngineer
Author of SpaceEngine
Author of SpaceEngine
Posts: 393
Joined: 17 May 2016
Location: Saint-Petersburg
Contact:

Oculus HMD not found

28 Dec 2016 05:03

0.980 supports only runtime 0.8, which works only with DK1 and DK2.
 
Rareden
Observer
Observer
Topic Author
Posts: 2
Joined: 28 Dec 2016

Oculus HMD not found

28 Dec 2016 11:21

darn, thought i saw a change log that added cv1 support
 
User avatar
HarbingerDawn
SE Team Member
SE Team Member
Posts: 297
Joined: 22 Aug 2016
Location: CT, USA
Contact:

Oculus HMD not found

30 Dec 2016 15:41

Rareden wrote:
darn, thought i saw a change log that added cv1 support

CV1 support will be in the next version, the changelog you saw was probably the one showing what has been completed for the next version so far.
Ryzen 7 1700 OC to 3.8 GHz, 32 GB DDR4 RAM, GTX 980 Ti 6144 MB VRAM
Posts on old forum: 8717
 
User avatar
Ryan
Observer
Observer
Posts: 3
Joined: 12 Jan 2017

Oculus HMD not found

12 Jan 2017 19:17

Hi all,

A reddit user has created a wrapper that brings 0.7 and 0.8 runtime support to 1.3 (CV1):
https://www.reddit.com/r/oculus/comment ... r_release/

I have put the .dll files in my system32 and syswow64 folders respectively for 32 and 64 bit .dlls, and for good measure I placed them in the C:\Program Files\Oculus\Support\oculus-runtime folder and the spaceengine\System folder as well.

Still no luck unfortunately. I was wondering what call clicking on Oculus Rift HMD in the SpaceEngine display options actually checks for? Is it a specific runtime file on the users machine, an environment variable, etc?

It is possible that the wrapper does not generally support every 0.8 title though. I am not too savvy on it.

Thanks
Ryan
 
User avatar
ImAPie
Observer
Observer
Posts: 5
Joined: 10 Jan 2017

Oculus HMD not found

13 Jan 2017 05:49

Did you even read the reddit? "To-do list, in decreasing priority" and the last one is "OpenGL support" which is what Space Engine uses.
Space pie, the most delicious pie.
 
User avatar
Ryan
Observer
Observer
Posts: 3
Joined: 12 Jan 2017

Oculus HMD not found

13 Jan 2017 14:21

Take away the first sentence in your post and it will become helpful. But if you do really need to antagonise people trying to help, my answer to that is that if you look at the post the first line is the updated version which most people (including myself) will go to.
 
User avatar
ImAPie
Observer
Observer
Posts: 5
Joined: 10 Jan 2017

Oculus HMD not found

18 Jan 2017 08:31

Ryan wrote:
Take away the first sentence in your post and it will become helpful. But if you do really need to antagonise people trying to help, my answer to that is that if you look at the post the first line is the updated version which most people (including myself) will go to.

I'm not trying to antagonise anybody, sorry if I hit your sweet nerve.
Space pie, the most delicious pie.
 
Erik3E
Observer
Observer
Posts: 2
Joined: 02 Mar 2017

Oculus HMD not found

06 Mar 2017 22:34

Aww dang guess I have to wait then

Who is online

Users browsing this forum: No registered users and 1 guest